> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/ja/bakkuendo/apis/client-api/merchant-onboarding.md).

# Merchant Onboarding

## Notify Merchant Update

> Notify the token requestor about a merchant onboarding update. \
> \
> In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

```json
{"openapi":"3.1.1","info":{"title":"Thales COF Client API","version":"1.42"},"tags":[{"name":"Merchant Onboarding"}],"servers":[{"url":"/tsh-cof"}],"security":[{"BasicAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic"}},"schemas":{"merchantId":{"type":"string","description":"Identifier of the merchant provided by Thales at on-boarding.","minLength":1,"maxLength":128},"schemeOnboarding":{"type":"string","description":"The card primary scheme.","maxLength":32,"enum":["MASTERCARD","VISA"]},"trId":{"type":"string","description":"The Token Requestor Identifier generated by the scheme for that merchant.\nIn case of Mastercard Secure Card-On-File program, this field is not returned, see 'mcServiceId' instead.","minLength":1,"maxLength":32,"title":""},"mcServiceId":{"type":"string","description":"Token Requestor Id for SCOF solution, equivalent to the TRID. It is assigned by Mastercard to entity for which tokens are created. ","minLength":1,"maxLength":256},"errorOnboarding":{"type":"object","description":"Information about the error in case a problem occurs when a merchant is onboarded.","properties":{"errorCode":{"type":"string","maxLength":128,"description":"The error code as specified in below table.\n\n-----------------\n|Error Code|Description|\n|-------|-------|\n|NON_RETRYABLE_ERROR|Generic code for all non retryable errors returned by the TMG.|\n|RETRYABLE_ERROR|Generic code for all retryable errors returned by the TMG.|\n|TSP_NON_RETRYABLE_ERROR|Generic code for all non retryable errors returned by the TSP.|\n|TSP_RETRYABLE_ERROR|Generic code for all retryable errors returned by the TSP.|\n-----------------"},"errorDetails":{"type":"string","maxLength":256,"description":"Additional information about the error. This optional parameter has no specific format as it depends on the different TSP API. It is sent for logging and troubleshooting purpose."}},"required":["errorCode"]},"lastUpdateTimestampMerchant":{"type":"string","maxLength":64,"description":"Last update timestamp compliant with ISO 8601."}}},"paths":{"/notify-merchant-update":{"post":{"description":"Notify the token requestor about a merchant onboarding update. \n\nIn case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.","operationId":"notifyMerchantUpdate","parameters":[{"schema":{},"$ref":"#/parameters/authorization"},{"schema":{},"$ref":"#/parameters/xCorrelationId"}],"responses":{"204":{"$ref":"#/responses/204"},"400":{"$ref":"#/responses/400"},"401":{"$ref":"#/responses/401"},"404":{"$ref":"#/responses/404"},"429":{"$ref":"#/responses/429"},"500":{"$ref":"#/responses/500"},"503":{"$ref":"#/responses/503"}},"tags":["Merchant Onboarding"],"summary":"Notify Merchant Update","requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["merchantId","scheme"],"properties":{"merchantId":{"$ref":"#/components/schemas/merchantId"},"scheme":{"$ref":"#/components/schemas/schemeOnboarding"},"trId":{"$ref":"#/components/schemas/trId"},"mcServiceId":{"$ref":"#/components/schemas/mcServiceId"},"error":{"$ref":"#/components/schemas/errorOnboarding"},"lastUpdateTimestamp":{"$ref":"#/components/schemas/lastUpdateTimestampMerchant"}}}}}}}}},"parameters":{"authorization":{"in":"header","description":"Technical identifier pre-defined at on-boarding that identifies the API\nconsumer.\nFormat shall be the string 'APIKEY' followed by a space and the\napi key value.\n</br> Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b\n","name":"authorization","required":true,"type":"string","minLength":1,"maxLength":512},"xCorrelationId":{"in":"header","description":"A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed. ","name":"x-correlation-id","required":true,"type":"string","minLength":1,"maxLength":36}},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad request - Not Retryable"},"401":{"description":"Unauthorized - Not Retryable"},"404":{"description":"Not Found - Not Retryable"},"429":{"description":"Too Many Requests - Retryable"},"500":{"description":"Internal Server Error - Retryable"},"503":{"description":"Service Unavailable - Retryable"}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/ja/bakkuendo/apis/client-api/merchant-onboarding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
